package com.fufan.mtsaas.util;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import java.util.List;

public class DataChangeUtil {
    /**
     * @title getDataList
     * @description 从Result中取出类型为List的数据
     */
    public static <T> List<T> getDataList(Object o, Class<T> clazz){
        return JSONObject.parseArray(JSONArray.toJSONString(o),clazz);
    }

    public static <T> List<T> getDataList(String o, Class<T> clazz){
        return JSONObject.parseArray(o,clazz);
    }

    /**
     * @title getDataEntity
     * @description 从redis中取出数据类型为entity
     */
    public static <T> T getDataEntity(Object o, Class<T> clazz){
        return JSON.parseObject(JSONObject.toJSONString(o) + "", clazz);
    }

    public static <T> T getDataEntity(String str, Class<T> clazz){
        return JSON.parseObject(str, clazz);
    }
}
